#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_RobotNameCFGData
{
	//索引
	int mindex;
	//昵称
	std::string mNickName;
	//用户ID(10099001~10099500)
	int mPlayerId;
	//VIP等级
	int mVip;
	//头像
	int mHead;
	//头像框
	int mHeadFrame;
	//初始金币
	int mGold;
	//炮台ID
	int mTurretID;
	//翅膀ID
	int mWingID;
	//初始道具(id+数量)
	std::vector<int> mItems;
};

class M_RobotNameCFG
{
public:
private:
	static std::auto_ptr<M_RobotNameCFG> msSingleton;
public:
	int GetCount();
	const M_RobotNameCFGData* GetData(int index);
	boost::unordered_map<int, M_RobotNameCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_RobotNameCFG* GetSingleton();
private:
	boost::unordered_map<int, M_RobotNameCFGData> mMapData;
};
